ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Static Public Member Functions | Private Types | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
layer_stack_builder Class Reference

This class provides a factory class to create Layer class instances. More...

`#include <layer_stack_builder.hh>`

## Public Member Functions
layer * | create_layer_stack (const char *p_layer_stack_description)
| Add a new layer factory. More...

## Static Public Member Functions
static layer_stack_builder * | get_instance ()
| Accessor for the unique instance of the logger framework. More...
static void | register_layer_factory (const std::string &p_type, layer_factory *p_layer_factory)
| Add a new layer factory. More...

## Private Types
typedef std::map< std::string, layer_factory * > | LayerFactoryMap

## Private Member Functions
| layer_stack_builder ()
| The list of the registered. More...
void | _register_layer_factory (const std::string &p_type, layer_factory *p_layer_factory)
| Add a new layer factory. More...

## Private Attributes
std::map< std::string, layer_factory * > | _layer_factories
| Smart pointer to the unique instance of the logger framework. More...

## Static Private Attributes
static layer_stack_builder * | _instance = NULL

## Detailed Description

This class provides a factory class to create Layer class instances.

## Member Typedef Documentation

## ◆ LayerFactoryMap

typedef std::map<std::string, layer_factory*> layer_stack_builder::LayerFactoryMap
| private

## Constructor & Destructor Documentation

## ◆ layer_stack_builder()

layer_stack_builder::layer_stack_builder | ( |  | ) |
| private

The list of the registered.

See also
  t_layer factories

Default constructor Create a new instance of the layer_stack_builder class

## Member Function Documentation

## ◆ _register_layer_factory()

void layer_stack_builder::_register_layer_factory | ( | const std::string & | p_type,
|  | layer_factory * | p_layer_factory
| ) |  |
| private

Add a new layer factory.

Parameters

  [in] | p_type | The layer identifier (e.g. GN for the GeoNetworking layer...)
  [in] | p_layer_factory | A reference to the

See also
  layer_factory

## ◆ create_layer_stack()

layer * layer_stack_builder::create_layer_stack | ( | const char * | p_layer_stack_description | ) |

Add a new layer factory.

Parameters

  [in] | p_layer_stack_description | A textual description of the layer to create

Returns
  The created layer object on success, nullptr otherwise

## ◆ get_instance()

layer_stack_builder * layer_stack_builder::get_instance | ( |  | ) |
| static

Accessor for the unique instance of the logger framework.

## ◆ register_layer_factory()

void layer_stack_builder::register_layer_factory | ( | const std::string & | p_type,
|  | layer_factory * | p_layer_factory
| ) |  |
| static

Add a new layer factory.

Parameters

  [in] | p_type | The layer identifier (e.g. GN for the GeoNetworking layer...)
  [in] | p_layer_factory | A reference to the

See also
  layer_factory

## Member Data Documentation

## ◆ _instance

layer_stack_builder * layer_stack_builder::_instance = NULL
| static private

## ◆ _layer_factories

std::map<std::string, layer_factory*> layer_stack_builder::_layer_factories
| private

Smart pointer to the unique instance of the logger framework.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/layer_stack_builder.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/layer_factory.cc